# tag_and_trait.hpp File Reference

Go to the source code of this file.

## Classes

- struct __gnu_pbds::associative_container_tag
    Basic associative-container. More...
- struct __gnu_pbds::basic_hash_tag
    Basic hash. More...
- struct __gnu_pbds::basic_tree_tag
    Basic tree. More...
- struct __gnu_pbds::binary_heap_tag
    Binary-heap (array-based). More...
- struct __gnu_pbds::binomial_heap_tag
    Binomial-heap. More...
- struct __gnu_pbds::cc_hash_tag
    Collision-chaining hash. More...
- struct __gnu_pbds::container_tag
    Base data structure tag. More...
- struct __gnu_pbds::container_traits< Cntnr >
    container_traits More...
- struct __gnu_pbds::gp_hash_tag
    General-probing hash. More...
- struct __gnu_pbds::list_update_tag
    List-update. More...
- struct __gnu_pbds::null_mapped_type
    A mapped-policy indicating that an associative container is a set. More...
- struct __gnu_pbds::ov_tree_tag
    Ordered-vector tree. More...
- struct __gnu_pbds::pairing_heap_tag
    Pairing-heap. More...
- struct __gnu_pbds::pat_trie_tag
    PATRICIA trie. More...
- struct __gnu_pbds::priority_queue_tag
    Basic priority-queue. More...
- struct __gnu_pbds::rb_tree_tag
    Red-black tree. More...
- struct __gnu_pbds::rc_binomial_heap_tag
    Redundant-counter binomial-heap. More...
- struct __gnu_pbds::sequence_tag
    Basic sequence. More...
- struct __gnu_pbds::splay_tree_tag
    Splay tree. More...
- struct __gnu_pbds::string_tag
    Basic string container, inclusive of strings, ropes, etc. More...
- struct __gnu_pbds::thin_heap_tag
    Thin heap. More...
- struct __gnu_pbds::tree_tag
    tree. More...
- struct __gnu_pbds::trie_tag
    trie. More...

## Namespaces

- namespace __gnu_pbds

## Typedefs

- typedef void __gnu_pbds::trivial_iterator_difference_type

## Detailed Description

Contains tags and traits, e.g., ones describing underlying data structures.

Definition in file tag_and_trait.hpp.